Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network67.112.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
67.112.0.0
Broadcast address
67.119.255.255
First usable
67.112.0.1
Last usable
67.119.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
A (default /8)
As numbers
Hex 43700000 · Integer 1131413504 to 1131937791
Reverse DNS zones
112.67.in-addr.arpa
113.67.in-addr.arpa
114.67.in-addr.arpa
115.67.in-addr.arpa
116.67.in-addr.arpa
117.67.in-addr.arpa
118.67.in-addr.arpa
119.67.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01000011.01110000.00000000.0000000067.112.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network01000011.01110000.00000000.0000000067.112.0.0
Broadcast01000011.01110111.11111111.1111111167.119.255.255
Split into smaller subnets/21

67.112.0.0/13 makes 256 subnets of /21.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
167.112.0.0/2167.112.0.1 to 67.112.7.25467.112.7.2552,046
267.112.8.0/2167.112.8.1 to 67.112.15.25467.112.15.2552,046
367.112.16.0/2167.112.16.1 to 67.112.23.25467.112.23.2552,046
467.112.24.0/2167.112.24.1 to 67.112.31.25467.112.31.2552,046
567.112.32.0/2167.112.32.1 to 67.112.39.25467.112.39.2552,046
667.112.40.0/2167.112.40.1 to 67.112.47.25467.112.47.2552,046
767.112.48.0/2167.112.48.1 to 67.112.55.25467.112.55.2552,046
867.112.56.0/2167.112.56.1 to 67.112.63.25467.112.63.2552,046
967.112.64.0/2167.112.64.1 to 67.112.71.25467.112.71.2552,046
1067.112.72.0/2167.112.72.1 to 67.112.79.25467.112.79.2552,046
1167.112.80.0/2167.112.80.1 to 67.112.87.25467.112.87.2552,046
1267.112.88.0/2167.112.88.1 to 67.112.95.25467.112.95.2552,046
1367.112.96.0/2167.112.96.1 to 67.112.103.25467.112.103.2552,046
1467.112.104.0/2167.112.104.1 to 67.112.111.25467.112.111.2552,046
1567.112.112.0/2167.112.112.1 to 67.112.119.25467.112.119.2552,046
1667.112.120.0/2167.112.120.1 to 67.112.127.25467.112.127.2552,046
1767.112.128.0/2167.112.128.1 to 67.112.135.25467.112.135.2552,046
1867.112.136.0/2167.112.136.1 to 67.112.143.25467.112.143.2552,046
1967.112.144.0/2167.112.144.1 to 67.112.151.25467.112.151.2552,046
2067.112.152.0/2167.112.152.1 to 67.112.159.25467.112.159.2552,046
2167.112.160.0/2167.112.160.1 to 67.112.167.25467.112.167.2552,046
2267.112.168.0/2167.112.168.1 to 67.112.175.25467.112.175.2552,046
2367.112.176.0/2167.112.176.1 to 67.112.183.25467.112.183.2552,046
2467.112.184.0/2167.112.184.1 to 67.112.191.25467.112.191.2552,046
2567.112.192.0/2167.112.192.1 to 67.112.199.25467.112.199.2552,046
2667.112.200.0/2167.112.200.1 to 67.112.207.25467.112.207.2552,046
2767.112.208.0/2167.112.208.1 to 67.112.215.25467.112.215.2552,046
2867.112.216.0/2167.112.216.1 to 67.112.223.25467.112.223.2552,046
2967.112.224.0/2167.112.224.1 to 67.112.231.25467.112.231.2552,046
3067.112.232.0/2167.112.232.1 to 67.112.239.25467.112.239.2552,046
3167.112.240.0/2167.112.240.1 to 67.112.247.25467.112.247.2552,046
3267.112.248.0/2167.112.248.1 to 67.112.255.25467.112.255.2552,046
3367.113.0.0/2167.113.0.1 to 67.113.7.25467.113.7.2552,046
3467.113.8.0/2167.113.8.1 to 67.113.15.25467.113.15.2552,046
3567.113.16.0/2167.113.16.1 to 67.113.23.25467.113.23.2552,046
3667.113.24.0/2167.113.24.1 to 67.113.31.25467.113.31.2552,046
3767.113.32.0/2167.113.32.1 to 67.113.39.25467.113.39.2552,046
3867.113.40.0/2167.113.40.1 to 67.113.47.25467.113.47.2552,046
3967.113.48.0/2167.113.48.1 to 67.113.55.25467.113.55.2552,046
4067.113.56.0/2167.113.56.1 to 67.113.63.25467.113.63.2552,046
4167.113.64.0/2167.113.64.1 to 67.113.71.25467.113.71.2552,046
4267.113.72.0/2167.113.72.1 to 67.113.79.25467.113.79.2552,046
4367.113.80.0/2167.113.80.1 to 67.113.87.25467.113.87.2552,046
4467.113.88.0/2167.113.88.1 to 67.113.95.25467.113.95.2552,046
4567.113.96.0/2167.113.96.1 to 67.113.103.25467.113.103.2552,046
4667.113.104.0/2167.113.104.1 to 67.113.111.25467.113.111.2552,046
4767.113.112.0/2167.113.112.1 to 67.113.119.25467.113.119.2552,046
4867.113.120.0/2167.113.120.1 to 67.113.127.25467.113.127.2552,046
4967.113.128.0/2167.113.128.1 to 67.113.135.25467.113.135.2552,046
5067.113.136.0/2167.113.136.1 to 67.113.143.25467.113.143.2552,046
5167.113.144.0/2167.113.144.1 to 67.113.151.25467.113.151.2552,046
5267.113.152.0/2167.113.152.1 to 67.113.159.25467.113.159.2552,046
5367.113.160.0/2167.113.160.1 to 67.113.167.25467.113.167.2552,046
5467.113.168.0/2167.113.168.1 to 67.113.175.25467.113.175.2552,046
5567.113.176.0/2167.113.176.1 to 67.113.183.25467.113.183.2552,046
5667.113.184.0/2167.113.184.1 to 67.113.191.25467.113.191.2552,046
5767.113.192.0/2167.113.192.1 to 67.113.199.25467.113.199.2552,046
5867.113.200.0/2167.113.200.1 to 67.113.207.25467.113.207.2552,046
5967.113.208.0/2167.113.208.1 to 67.113.215.25467.113.215.2552,046
6067.113.216.0/2167.113.216.1 to 67.113.223.25467.113.223.2552,046
6167.113.224.0/2167.113.224.1 to 67.113.231.25467.113.231.2552,046
6267.113.232.0/2167.113.232.1 to 67.113.239.25467.113.239.2552,046
6367.113.240.0/2167.113.240.1 to 67.113.247.25467.113.247.2552,046
6467.113.248.0/2167.113.248.1 to 67.113.255.25467.113.255.2552,046
6567.114.0.0/2167.114.0.1 to 67.114.7.25467.114.7.2552,046
6667.114.8.0/2167.114.8.1 to 67.114.15.25467.114.15.2552,046
6767.114.16.0/2167.114.16.1 to 67.114.23.25467.114.23.2552,046
6867.114.24.0/2167.114.24.1 to 67.114.31.25467.114.31.2552,046
6967.114.32.0/2167.114.32.1 to 67.114.39.25467.114.39.2552,046
7067.114.40.0/2167.114.40.1 to 67.114.47.25467.114.47.2552,046
7167.114.48.0/2167.114.48.1 to 67.114.55.25467.114.55.2552,046
7267.114.56.0/2167.114.56.1 to 67.114.63.25467.114.63.2552,046
7367.114.64.0/2167.114.64.1 to 67.114.71.25467.114.71.2552,046
7467.114.72.0/2167.114.72.1 to 67.114.79.25467.114.79.2552,046
7567.114.80.0/2167.114.80.1 to 67.114.87.25467.114.87.2552,046
7667.114.88.0/2167.114.88.1 to 67.114.95.25467.114.95.2552,046
7767.114.96.0/2167.114.96.1 to 67.114.103.25467.114.103.2552,046
7867.114.104.0/2167.114.104.1 to 67.114.111.25467.114.111.2552,046
7967.114.112.0/2167.114.112.1 to 67.114.119.25467.114.119.2552,046
8067.114.120.0/2167.114.120.1 to 67.114.127.25467.114.127.2552,046
8167.114.128.0/2167.114.128.1 to 67.114.135.25467.114.135.2552,046
8267.114.136.0/2167.114.136.1 to 67.114.143.25467.114.143.2552,046
8367.114.144.0/2167.114.144.1 to 67.114.151.25467.114.151.2552,046
8467.114.152.0/2167.114.152.1 to 67.114.159.25467.114.159.2552,046
8567.114.160.0/2167.114.160.1 to 67.114.167.25467.114.167.2552,046
8667.114.168.0/2167.114.168.1 to 67.114.175.25467.114.175.2552,046
8767.114.176.0/2167.114.176.1 to 67.114.183.25467.114.183.2552,046
8867.114.184.0/2167.114.184.1 to 67.114.191.25467.114.191.2552,046
8967.114.192.0/2167.114.192.1 to 67.114.199.25467.114.199.2552,046
9067.114.200.0/2167.114.200.1 to 67.114.207.25467.114.207.2552,046
9167.114.208.0/2167.114.208.1 to 67.114.215.25467.114.215.2552,046
9267.114.216.0/2167.114.216.1 to 67.114.223.25467.114.223.2552,046
9367.114.224.0/2167.114.224.1 to 67.114.231.25467.114.231.2552,046
9467.114.232.0/2167.114.232.1 to 67.114.239.25467.114.239.2552,046
9567.114.240.0/2167.114.240.1 to 67.114.247.25467.114.247.2552,046
9667.114.248.0/2167.114.248.1 to 67.114.255.25467.114.255.2552,046
9767.115.0.0/2167.115.0.1 to 67.115.7.25467.115.7.2552,046
9867.115.8.0/2167.115.8.1 to 67.115.15.25467.115.15.2552,046
9967.115.16.0/2167.115.16.1 to 67.115.23.25467.115.23.2552,046
10067.115.24.0/2167.115.24.1 to 67.115.31.25467.115.31.2552,046
10167.115.32.0/2167.115.32.1 to 67.115.39.25467.115.39.2552,046
10267.115.40.0/2167.115.40.1 to 67.115.47.25467.115.47.2552,046
10367.115.48.0/2167.115.48.1 to 67.115.55.25467.115.55.2552,046
10467.115.56.0/2167.115.56.1 to 67.115.63.25467.115.63.2552,046
10567.115.64.0/2167.115.64.1 to 67.115.71.25467.115.71.2552,046
10667.115.72.0/2167.115.72.1 to 67.115.79.25467.115.79.2552,046
10767.115.80.0/2167.115.80.1 to 67.115.87.25467.115.87.2552,046
10867.115.88.0/2167.115.88.1 to 67.115.95.25467.115.95.2552,046
10967.115.96.0/2167.115.96.1 to 67.115.103.25467.115.103.2552,046
11067.115.104.0/2167.115.104.1 to 67.115.111.25467.115.111.2552,046
11167.115.112.0/2167.115.112.1 to 67.115.119.25467.115.119.2552,046
11267.115.120.0/2167.115.120.1 to 67.115.127.25467.115.127.2552,046
11367.115.128.0/2167.115.128.1 to 67.115.135.25467.115.135.2552,046
11467.115.136.0/2167.115.136.1 to 67.115.143.25467.115.143.2552,046
11567.115.144.0/2167.115.144.1 to 67.115.151.25467.115.151.2552,046
11667.115.152.0/2167.115.152.1 to 67.115.159.25467.115.159.2552,046
11767.115.160.0/2167.115.160.1 to 67.115.167.25467.115.167.2552,046
11867.115.168.0/2167.115.168.1 to 67.115.175.25467.115.175.2552,046
11967.115.176.0/2167.115.176.1 to 67.115.183.25467.115.183.2552,046
12067.115.184.0/2167.115.184.1 to 67.115.191.25467.115.191.2552,046
12167.115.192.0/2167.115.192.1 to 67.115.199.25467.115.199.2552,046
12267.115.200.0/2167.115.200.1 to 67.115.207.25467.115.207.2552,046
12367.115.208.0/2167.115.208.1 to 67.115.215.25467.115.215.2552,046
12467.115.216.0/2167.115.216.1 to 67.115.223.25467.115.223.2552,046
12567.115.224.0/2167.115.224.1 to 67.115.231.25467.115.231.2552,046
12667.115.232.0/2167.115.232.1 to 67.115.239.25467.115.239.2552,046
12767.115.240.0/2167.115.240.1 to 67.115.247.25467.115.247.2552,046
12867.115.248.0/2167.115.248.1 to 67.115.255.25467.115.255.2552,046
12967.116.0.0/2167.116.0.1 to 67.116.7.25467.116.7.2552,046
13067.116.8.0/2167.116.8.1 to 67.116.15.25467.116.15.2552,046
13167.116.16.0/2167.116.16.1 to 67.116.23.25467.116.23.2552,046
13267.116.24.0/2167.116.24.1 to 67.116.31.25467.116.31.2552,046
13367.116.32.0/2167.116.32.1 to 67.116.39.25467.116.39.2552,046
13467.116.40.0/2167.116.40.1 to 67.116.47.25467.116.47.2552,046
13567.116.48.0/2167.116.48.1 to 67.116.55.25467.116.55.2552,046
13667.116.56.0/2167.116.56.1 to 67.116.63.25467.116.63.2552,046
13767.116.64.0/2167.116.64.1 to 67.116.71.25467.116.71.2552,046
13867.116.72.0/2167.116.72.1 to 67.116.79.25467.116.79.2552,046
13967.116.80.0/2167.116.80.1 to 67.116.87.25467.116.87.2552,046
14067.116.88.0/2167.116.88.1 to 67.116.95.25467.116.95.2552,046
14167.116.96.0/2167.116.96.1 to 67.116.103.25467.116.103.2552,046
14267.116.104.0/2167.116.104.1 to 67.116.111.25467.116.111.2552,046
14367.116.112.0/2167.116.112.1 to 67.116.119.25467.116.119.2552,046
14467.116.120.0/2167.116.120.1 to 67.116.127.25467.116.127.2552,046
14567.116.128.0/2167.116.128.1 to 67.116.135.25467.116.135.2552,046
14667.116.136.0/2167.116.136.1 to 67.116.143.25467.116.143.2552,046
14767.116.144.0/2167.116.144.1 to 67.116.151.25467.116.151.2552,046
14867.116.152.0/2167.116.152.1 to 67.116.159.25467.116.159.2552,046
14967.116.160.0/2167.116.160.1 to 67.116.167.25467.116.167.2552,046
15067.116.168.0/2167.116.168.1 to 67.116.175.25467.116.175.2552,046
15167.116.176.0/2167.116.176.1 to 67.116.183.25467.116.183.2552,046
15267.116.184.0/2167.116.184.1 to 67.116.191.25467.116.191.2552,046
15367.116.192.0/2167.116.192.1 to 67.116.199.25467.116.199.2552,046
15467.116.200.0/2167.116.200.1 to 67.116.207.25467.116.207.2552,046
15567.116.208.0/2167.116.208.1 to 67.116.215.25467.116.215.2552,046
15667.116.216.0/2167.116.216.1 to 67.116.223.25467.116.223.2552,046
15767.116.224.0/2167.116.224.1 to 67.116.231.25467.116.231.2552,046
15867.116.232.0/2167.116.232.1 to 67.116.239.25467.116.239.2552,046
15967.116.240.0/2167.116.240.1 to 67.116.247.25467.116.247.2552,046
16067.116.248.0/2167.116.248.1 to 67.116.255.25467.116.255.2552,046
16167.117.0.0/2167.117.0.1 to 67.117.7.25467.117.7.2552,046
16267.117.8.0/2167.117.8.1 to 67.117.15.25467.117.15.2552,046
16367.117.16.0/2167.117.16.1 to 67.117.23.25467.117.23.2552,046
16467.117.24.0/2167.117.24.1 to 67.117.31.25467.117.31.2552,046
16567.117.32.0/2167.117.32.1 to 67.117.39.25467.117.39.2552,046
16667.117.40.0/2167.117.40.1 to 67.117.47.25467.117.47.2552,046
16767.117.48.0/2167.117.48.1 to 67.117.55.25467.117.55.2552,046
16867.117.56.0/2167.117.56.1 to 67.117.63.25467.117.63.2552,046
16967.117.64.0/2167.117.64.1 to 67.117.71.25467.117.71.2552,046
17067.117.72.0/2167.117.72.1 to 67.117.79.25467.117.79.2552,046
17167.117.80.0/2167.117.80.1 to 67.117.87.25467.117.87.2552,046
17267.117.88.0/2167.117.88.1 to 67.117.95.25467.117.95.2552,046
17367.117.96.0/2167.117.96.1 to 67.117.103.25467.117.103.2552,046
17467.117.104.0/2167.117.104.1 to 67.117.111.25467.117.111.2552,046
17567.117.112.0/2167.117.112.1 to 67.117.119.25467.117.119.2552,046
17667.117.120.0/2167.117.120.1 to 67.117.127.25467.117.127.2552,046
17767.117.128.0/2167.117.128.1 to 67.117.135.25467.117.135.2552,046
17867.117.136.0/2167.117.136.1 to 67.117.143.25467.117.143.2552,046
17967.117.144.0/2167.117.144.1 to 67.117.151.25467.117.151.2552,046
18067.117.152.0/2167.117.152.1 to 67.117.159.25467.117.159.2552,046
18167.117.160.0/2167.117.160.1 to 67.117.167.25467.117.167.2552,046
18267.117.168.0/2167.117.168.1 to 67.117.175.25467.117.175.2552,046
18367.117.176.0/2167.117.176.1 to 67.117.183.25467.117.183.2552,046
18467.117.184.0/2167.117.184.1 to 67.117.191.25467.117.191.2552,046
18567.117.192.0/2167.117.192.1 to 67.117.199.25467.117.199.2552,046
18667.117.200.0/2167.117.200.1 to 67.117.207.25467.117.207.2552,046
18767.117.208.0/2167.117.208.1 to 67.117.215.25467.117.215.2552,046
18867.117.216.0/2167.117.216.1 to 67.117.223.25467.117.223.2552,046
18967.117.224.0/2167.117.224.1 to 67.117.231.25467.117.231.2552,046
19067.117.232.0/2167.117.232.1 to 67.117.239.25467.117.239.2552,046
19167.117.240.0/2167.117.240.1 to 67.117.247.25467.117.247.2552,046
19267.117.248.0/2167.117.248.1 to 67.117.255.25467.117.255.2552,046
19367.118.0.0/2167.118.0.1 to 67.118.7.25467.118.7.2552,046
19467.118.8.0/2167.118.8.1 to 67.118.15.25467.118.15.2552,046
19567.118.16.0/2167.118.16.1 to 67.118.23.25467.118.23.2552,046
19667.118.24.0/2167.118.24.1 to 67.118.31.25467.118.31.2552,046
19767.118.32.0/2167.118.32.1 to 67.118.39.25467.118.39.2552,046
19867.118.40.0/2167.118.40.1 to 67.118.47.25467.118.47.2552,046
19967.118.48.0/2167.118.48.1 to 67.118.55.25467.118.55.2552,046
20067.118.56.0/2167.118.56.1 to 67.118.63.25467.118.63.2552,046
20167.118.64.0/2167.118.64.1 to 67.118.71.25467.118.71.2552,046
20267.118.72.0/2167.118.72.1 to 67.118.79.25467.118.79.2552,046
20367.118.80.0/2167.118.80.1 to 67.118.87.25467.118.87.2552,046
20467.118.88.0/2167.118.88.1 to 67.118.95.25467.118.95.2552,046
20567.118.96.0/2167.118.96.1 to 67.118.103.25467.118.103.2552,046
20667.118.104.0/2167.118.104.1 to 67.118.111.25467.118.111.2552,046
20767.118.112.0/2167.118.112.1 to 67.118.119.25467.118.119.2552,046
20867.118.120.0/2167.118.120.1 to 67.118.127.25467.118.127.2552,046
20967.118.128.0/2167.118.128.1 to 67.118.135.25467.118.135.2552,046
21067.118.136.0/2167.118.136.1 to 67.118.143.25467.118.143.2552,046
21167.118.144.0/2167.118.144.1 to 67.118.151.25467.118.151.2552,046
21267.118.152.0/2167.118.152.1 to 67.118.159.25467.118.159.2552,046
21367.118.160.0/2167.118.160.1 to 67.118.167.25467.118.167.2552,046
21467.118.168.0/2167.118.168.1 to 67.118.175.25467.118.175.2552,046
21567.118.176.0/2167.118.176.1 to 67.118.183.25467.118.183.2552,046
21667.118.184.0/2167.118.184.1 to 67.118.191.25467.118.191.2552,046
21767.118.192.0/2167.118.192.1 to 67.118.199.25467.118.199.2552,046
21867.118.200.0/2167.118.200.1 to 67.118.207.25467.118.207.2552,046
21967.118.208.0/2167.118.208.1 to 67.118.215.25467.118.215.2552,046
22067.118.216.0/2167.118.216.1 to 67.118.223.25467.118.223.2552,046
22167.118.224.0/2167.118.224.1 to 67.118.231.25467.118.231.2552,046
22267.118.232.0/2167.118.232.1 to 67.118.239.25467.118.239.2552,046
22367.118.240.0/2167.118.240.1 to 67.118.247.25467.118.247.2552,046
22467.118.248.0/2167.118.248.1 to 67.118.255.25467.118.255.2552,046
22567.119.0.0/2167.119.0.1 to 67.119.7.25467.119.7.2552,046
22667.119.8.0/2167.119.8.1 to 67.119.15.25467.119.15.2552,046
22767.119.16.0/2167.119.16.1 to 67.119.23.25467.119.23.2552,046
22867.119.24.0/2167.119.24.1 to 67.119.31.25467.119.31.2552,046
22967.119.32.0/2167.119.32.1 to 67.119.39.25467.119.39.2552,046
23067.119.40.0/2167.119.40.1 to 67.119.47.25467.119.47.2552,046
23167.119.48.0/2167.119.48.1 to 67.119.55.25467.119.55.2552,046
23267.119.56.0/2167.119.56.1 to 67.119.63.25467.119.63.2552,046
23367.119.64.0/2167.119.64.1 to 67.119.71.25467.119.71.2552,046
23467.119.72.0/2167.119.72.1 to 67.119.79.25467.119.79.2552,046
23567.119.80.0/2167.119.80.1 to 67.119.87.25467.119.87.2552,046
23667.119.88.0/2167.119.88.1 to 67.119.95.25467.119.95.2552,046
23767.119.96.0/2167.119.96.1 to 67.119.103.25467.119.103.2552,046
23867.119.104.0/2167.119.104.1 to 67.119.111.25467.119.111.2552,046
23967.119.112.0/2167.119.112.1 to 67.119.119.25467.119.119.2552,046
24067.119.120.0/2167.119.120.1 to 67.119.127.25467.119.127.2552,046
24167.119.128.0/2167.119.128.1 to 67.119.135.25467.119.135.2552,046
24267.119.136.0/2167.119.136.1 to 67.119.143.25467.119.143.2552,046
24367.119.144.0/2167.119.144.1 to 67.119.151.25467.119.151.2552,046
24467.119.152.0/2167.119.152.1 to 67.119.159.25467.119.159.2552,046
24567.119.160.0/2167.119.160.1 to 67.119.167.25467.119.167.2552,046
24667.119.168.0/2167.119.168.1 to 67.119.175.25467.119.175.2552,046
24767.119.176.0/2167.119.176.1 to 67.119.183.25467.119.183.2552,046
24867.119.184.0/2167.119.184.1 to 67.119.191.25467.119.191.2552,046
24967.119.192.0/2167.119.192.1 to 67.119.199.25467.119.199.2552,046
25067.119.200.0/2167.119.200.1 to 67.119.207.25467.119.207.2552,046
25167.119.208.0/2167.119.208.1 to 67.119.215.25467.119.215.2552,046
25267.119.216.0/2167.119.216.1 to 67.119.223.25467.119.223.2552,046
25367.119.224.0/2167.119.224.1 to 67.119.231.25467.119.231.2552,046
25467.119.232.0/2167.119.232.1 to 67.119.239.25467.119.239.2552,046
25567.119.240.0/2167.119.240.1 to 67.119.247.25467.119.247.2552,046
25667.119.248.0/2167.119.248.1 to 67.119.255.25467.119.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses